io_destroy(3)

NAME
io_destroy - destroy an asynchronous I/O context

LIBRARY
Asynchronous I/O library (libaio, -laio)

SYNOPSIS
#include <libaio.h>

long io_destroy(io_context_t *ctx_idp);

DESCRIPTION
The io_destroy() system call will attempt to cancel all outstanding asynchronous I/O operations against ctx_id, will block on the completion of all operations that could not be canceled, and will destroy the ctx_id.

RETURN VALUE
On success, io_destroy() returns 0. On error, a negative error code is returned to indicate the error.

ERRORS
See io_destroy(2).

STANDARDS
libaio.

HISTORY
libaio.

SEE ALSO
io_destroy(2), io(3), aio(7)